struct usb_gadget_strings
Prev | Core Objects and Methods | Next

## Name

struct usb_gadget_strings — a set of USB strings in a given language

## Synopsis

    struct usb_gadget_strings {
      u16 language;
      struct usb_string * strings;
    };

## Members

language

  identifies the strings' language (0x0409 for en-us)

strings

  array of strings with their ids

## Description

If you're using `usb_gadget_get_string`, use this to wrap all the strings for a given language.

Prev | Up | Next
struct usb_string | Home | Optional Utilities